<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="/images/favicon.ico">

    <title>Agent Console</title>

    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">


    <!-- Custom styles for this template -->
    <link href="/stylesheets/agentManagement.css" rel="stylesheet">
</head>

<body>


    <!-- <header class="header navbar-fixed-top">
        <nav class="navbar navbar-default main-nav">
            <div class="container-fluid">
                <div class="row">
                    <div class="container">
                        <div class="row">
                          <div class="col-sm-3 nav-logo">
                              <div class="navbar-header">
                                <img alt="Avaamo" class="logo" src="/images/logo-avaamo.svg">
                              </div>
                          </div>
                          <div class="col-sm-7">
                              <div class="collapse navbar-collapse" style="display: block;">
                                <h2 style="font-size: 20px; padding: 15px;">Agent Console</h2>
                              </div>
                          </div>
                          <div class="col-sm">
                            
                          </div>
                        </div>
                      </div> 
                </div>
            </div>
        </nav>
    </header> -->

    <!-- <div class="container-fluid mainContainer">
        <div class="agent-header">
            <h2>Agent Console</h2>
        </div>
        <div class="agent-container" style="height: 100%;">
            <div class="row">
                <h2>Agent Management</h2>
            </div>
            <div>
                <div style="width: 50%; float: left; padding-left: 15px;">
                    <input type="text" name="search" placeholder="Search..">
                </div>
                <div style="width: 50%;  float: left;">
                    <button class="agent-button" style="float: right; margin-right: 15px;">
                        Close
                    </button>
                    <button class="agent-button" style="float: right; margin-right: 15px;">
                        Save
                    </button>
                    <button class="agent-button" style="float: right; margin-right: 15px;">
                        Add Agent
                    </button>
                </div>
            </div>
            <div style="padding: 15px;">
                <table class="agent-table">
                    <thead>
                        <tr>
                            <th style="width: 30%;">AGENTS</th>
                            <th style="width: 5%;">STATUS</th>
                            <th style="width: 30%;">DESIGNATION</th>
                            <th style="width: 25%;">WORK HOURS</th>
                            <th style="width: 10%;">TIMEZONE</th>
                            <th style="width: 5%;">ACTIONS</th>
                        </tr>
                    </thead>
                    <tbody id="v-for-object">
                        <tr class="agent-table-row" style="height: 60px;" v-for="agent in agentslist">
                            <td style="width: 30%; padding: 17px;">
                                <div>
                                    <div style="float: left; width: 40%; ">
                                        <img :src="agent.pic" style="width:80%; border: 1px solid #707070; border-radius: 50px;" alt="">
                                    </div>
                                    <div style="float: left; width: 60%;">
                                        <p>{{agent.name}}</p>
                                    </div>
                                </div>
                            </td>
                            <td style="width: 5%; padding: 17px;" v-if="agent.status == true"><span class="online"></span></td>
                            <td style="width: 5%; padding: 17px;" v-if="agent.status == false"><span class="offline"></span></td>
                            <td style="width: 30%; padding: 17px;">{{agent.designation}}</td>
                            <td style="width: 25%; padding: 17px;">{{agent.workhours}}</td>
                            <td style="width: 10%; padding: 17px;">{{agent.timezone}}</td>
                            <td style="width: 5%; padding: 17px;"> 
                                
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                                <i class="material-icons">&#xe5d3;</i> </a>
                                <div class="dropdown-menu">
                                    <a href="#" class="dropdown-item">Man</a>
                                    <a href="#" class="dropdown-item">Man</a>
                                    <a href="#" class="dropdown-item">Man</a>
                                </div></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div> -->

    <div class="mainContainer" style="width: 100%; height: 100%;">
        <div class="agent-header">
            <h2>Agent Console</h2>
        </div>
        <div class="agent-container" style="height: 100%;">
            <div class="row">
                <h2>Agent Management</h2>
            </div>
            <div class="row">

                <div class="col-6">
                    <div style="width: 50%; float: left; padding-left: 15px;">
                        <input type="text" name="search" placeholder="Search..">
                    </div>
                </div>
                <div class="col-6">
                    <div>
                        <button class="agent-button" style="float: right; margin-right: 15px;">
                            Close
                        </button>
                        <button class="agent-button" style="float: right; margin-right: 15px;">
                            Save
                        </button>
                        <button class="agent-button" style="float: right; margin-right: 15px;">
                            Add Agent
                        </button>
                    </div>
                </div>
            </div>
            <div>
                <table class="table table-borderless table-hover agent-table">
                    <thead class="thead-light">
                        <tr>
                            <th scope="col">AGENTS</th>
                            <th scope="col">STATUS</th>
                            <th scope="col">DESIGNATION</th>
                            <th scope="col">WORK HOURS</th>
                            <th scope="col">TIMEZONE</th>
                            <th scope="col">ACTIONS</th>
                        </tr>
                    </thead>

                    <tbody id="v-for-object">
                        <tr v-for="agent in agentslist">
                            <td style="width: 30%; padding: 17px;">
                                <div>
                                    <!-- <div style="float: left; width: 40%; ">
                                        <img :src="/images/default-profile.svg"
                                            style="width:80%; border: 1px solid #707070; border-radius: 50px;" alt="">
                                    </div> -->
                                    <div style="float: left; width: 60%;">
                                        <p>{{agent.user.firstName}} {{agent.user.lastName}}</p>
                                    </div>
                                </div>
                            </td>
                            <td style="width: 5%; padding: 17px;" v-if="agent.user.status == true"><span
                                    class="online"></span></td>
                            <td style="width: 5%; padding: 17px;" v-if="agent.user.status == false"><span
                                    class="offline"></span></td>
                            <td style="width: 30%; padding: 17px;">{{agent.roles[0].roles}}</td>
                            <td style="width: 25%; padding: 17px;">{{agent.user.workHours}}</td>
                            <td style="width: 10%; padding: 17px;">{{agent.user.timezone}}</td>
                            <td>
                                <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#staticBackdrop">
                                    Edit
                                  </button>
                                  <div class="modal fade" id="staticBackdrop" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                                    <div class="modal-dialog">
                                      <div class="modal-content">
                                        <div class="modal-header">
                                          <h5 class="modal-title" id="staticBackdropLabel">Modal title</h5>
                                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                          </button>
                                        </div>
                                        <div class="modal-body">
                                          ...
                                        </div>
                                        <div class="modal-footer">
                                          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                          <button type="button" class="btn btn-primary">Understood</button>
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>

            <!-- <div style="padding: 15px;">
                <table class="agent-table">
                    <thead>
                        <tr>
                            <th style="width: 30%;">AGENTS</th>
                            <th style="width: 5%;">STATUS</th>
                            <th style="width: 30%;">DESIGNATION</th>
                            <th style="width: 25%;">WORK HOURS</th>
                            <th style="width: 10%;">TIMEZONE</th>
                            <th style="width: 5%;">ACTIONS</th>
                        </tr>
                    </thead>
                    <tbody id="v-for-object">
                        <tr class="agent-table-row" style="height: 60px;" v-for="agent in agentslist">
                            <td style="width: 30%; padding: 17px;">
                                <div>
                                    <div style="float: left; width: 40%; ">
                                        <img :src="agent.pic"
                                            style="width:80%; border: 1px solid #707070; border-radius: 50px;" alt="">
                                    </div>
                                    <div style="float: left; width: 60%;">
                                        <p>{{agent.name}}</p>
                                    </div>
                                </div>
                            </td>
                            <td style="width: 5%; padding: 17px;" v-if="agent.status == true"><span
                                    class="online"></span></td>
                            <td style="width: 5%; padding: 17px;" v-if="agent.status == false"><span
                                    class="offline"></span></td>
                            <td style="width: 30%; padding: 17px;">{{agent.designation}}</td>
                            <td style="width: 25%; padding: 17px;">{{agent.workhours}}</td>
                            <td style="width: 10%; padding: 17px;">{{agent.timezone}}</td>
                            <td style="width: 5%; padding: 17px;">

                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button"
                                    aria-haspopup="true" aria-expanded="false">
                                    <i class="material-icons">&#xe5d3;</i> </a>
                                <div class="dropdown-menu">
                                    <a href="#" class="dropdown-item">Man</a>
                                    <a href="#" class="dropdown-item">Man</a>
                                    <a href="#" class="dropdown-item">Man</a>
                                </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div> -->
        </div>
    </div>

</body>
<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
<script>
    new Vue({
        el: '#v-for-object',
        data: {
            email: '',
            agentslist: []
        },
        methods: {
            listOfAgents: function () {
                // this.token = JSON.parse(localStorage.getItem('token'));
                // console.log(this.token);
                console.log("HERE");
                let accountId = '6012a7a69c497f0019500484';
                let self = this;
                fetch(`/api/account/${accountId}/users`, {
                    method: 'GET',
                    headers: {
                        'Content-Type': 'application/json'
                    }
                }).then((res) => {
                    return res.json();
                }).then(data => {
                    // console.log("DATA========++>>>>>>>", data);
                    console.log("DATA========1++>>>>>>>", data[0]);
                    console.log("DATA========2++>>>>>>>", data[1]);

                    self.agentslist = data;
                });
                // .then((res) => {
                //         console.log(res);
                //         self.agentslist = res.json;
                //     })
            }
        },
        beforeMount() {
            this.listOfAgents()
        },
    });

</script>

</html>